#include "mainwindow.h"
#include <QApplication>
#include <QDebug>

static QString description()
{
    QString t = QT_VERSION_STR;
#if QT_VERSION >= 0x050000
    t += QLatin1Char(' ') + QGuiApplication::platformName();
#endif
    return t;
}

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QString t = description();
    qDebug() << t << "Press mouse";
    MainWindow w;
    w.setWindowTitle(t);

    w.show();

    return a.exec();
}
