#ifndef MYOPENGLRENDERINGWINDOW_H
#define MYOPENGLRENDERINGWINDOW_H

#include <QOpenGLWidget>
#include <QOpenGLFunctions>
#include <QMouseEvent>

class myOpenGLRendererWindow : public QOpenGLWidget, protected QOpenGLFunctions
{
    Q_OBJECT

public:
    explicit myOpenGLRendererWindow(QOpenGLWidget *parent = 0);
    ~myOpenGLRendererWindow();

public slots:

signals:

protected:
    void initializeGL()override;
    void paintGL()override;
    void resizeGL(int width, int height)override;
    void mouseMoveEvent(QMouseEvent *event);//just to trigger a way to see the results
    void mousePressEvent(QMouseEvent *event);

private:
    QOpenGLContext *OGL_Context;
    void SetViewPort();
    void SetViewProjectionMatrix();
    void DrawMyContent();
    float myUnproject_Width,myUnproject_Height;
    void MirrorMirrorTellMetheTruth();
};


#endif // MYOPENGLRENDERINGWINDOW_H
